CredSSP updates for CVE-2018-0886

Microsoft recently released patches for a CredSSP remote code execution vulnerability. All affected systems (servers and clients) should be patched accordingly.

https://support.microsoft.com/en-gb/help/4093492/credssp-updates-for-cve-2018-0886-march-13-2018

IMPORTANT NOTE: This will effectively BREAK your ability to connect with Remote Desktop (RDP) to unpatched servers. To avoid this please make sure your servers are fully patched and up to date.

If you already have locked yourself out of your server due to RDP not working, you can use an alternative RDP client to connect. We recommend using Microsoft’s Remote Desktop app (available for Android and iOS), connect using that and patch your server.

  • 0 Users Found This Useful
Was this answer helpful?

Related Articles

Do you keep backups? Is my data protected?

We offer weekly and daily backups as an extra option for all VPS plans.By purchasing our weekly...

Will I have RDP access?

Yes, you will have RDP (Remote Desktop) access to your Windows VPS with full administrative...

Can I have another version of Windows Server?

No, this isn't possible any more.We used to also offer Windows Server 2008 R2 but we removed this...

Can you license SQL Server, SharePoint Server or other Microsoft products for my Windows VPS?

Yes, we can. As a registered SPLA Microsoft Partner we can provide any Microsoft software...

How long will it take to activate my order?

Most order verifications are completed within a few minutes, however occasionally our automated...